cURL
curl --request POST \
--url https://www.norns.ai/api/v0/map \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>",
"ignoreSitemap": true,
"includeSubdomains": true,
"limit": 2500,
"search": "<string>",
"sitemapOnly": true,
"enrichLinks": true
}
'import requests
url = "https://www.norns.ai/api/v0/map"
payload = {
"url": "<string>",
"ignoreSitemap": True,
"includeSubdomains": True,
"limit": 2500,
"search": "<string>",
"sitemapOnly": True,
"enrichLinks": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: '<string>',
ignoreSitemap: true,
includeSubdomains: true,
limit: 2500,
search: '<string>',
sitemapOnly: true,
enrichLinks: true
})
};
fetch('https://www.norns.ai/api/v0/map', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {}
}{
"error": "<string>"
}{
"error": "<string>"
}API Reference
Post map
Maps a website and returns its structure. Costs 5 credits per request.
POST
/
map
cURL
Authorizations
API key authentication
Body
application/json
The URL to map (must include protocol)
Whether to ignore the sitemap
Whether to include subdomains in the mapping
Maximum number of pages to map (1-5000)
Required range:
1 <= x <= 5000Search term to filter pages
Whether to only use sitemap for mapping
Whether to enrich links with additional data
⌘I

